﻿using System.Collections.Generic;
using System.IO;
using System.Linq;
using System.Text.RegularExpressions;

namespace LogsCleaner
{
    class Program
    {
        const string CleanLogsDirectoryPath = @"F:\Logs\";
        static void Main(string[] args)
        {
            string[] directories = Directory.GetDirectories(@"F:\Users\ZaharovSergey\Desktop\Countries");
           
            string[] stopWords = {
                                     "Sub pods found: 1",
                                     "Sub pod 1",
                                     "Title: ", "Position: 100",
                                     "Position: 200",
                                     "Position: 300",
                                     "Position: 400",
                                     "Position: 500",
                                     "Position: 600",
                                     "Position: 700",
                                     "Position: 800",
                                     "Position: 900",
                                     "Position: 1000",
                                     "Position: 1100",
                                     "Position: 1200",
                                     @"Title: """,
                                     "Pod text: ",
                                     "Pod image title: ",
                                     "Pod image width: ",
                                     "Pod image height: ",
                                     "Pod image location: ",
                                     "Pod image description text: ",
                                     @"""",
                                 };
            
            var logsPaths = new List<string>();
            foreach (var directory in directories)
            {
                string[] files = Directory.GetFiles(directory);
                logsPaths.AddRange(files.Where(file => file.EndsWith(".log")));
            }

            foreach (var logsPath in logsPaths)
            {
                FileStream fs = File.Open(logsPath,FileMode.Open);
                TextReader tr = new StreamReader(fs);
                string line = tr.ReadToEnd();
                string modifiedString = stopWords.Aggregate(line, (current, t) => current.Replace(t, string.Empty));

                modifiedString = Regex.Replace(modifiedString, @"^\s*$\n", string.Empty, RegexOptions.Multiline);
               
                string[] modifiedPathArr = logsPath.Split('\\');
                FileStream fs2 = File.Create(CleanLogsDirectoryPath + modifiedPathArr[5]+".txt");
                TextWriter tw = new StreamWriter(fs2);
                tw.Write(modifiedString);
            }
        }
    }
}
