﻿using System;
using System.Collections.Generic;
using System.IO;
using System.Linq;
using Windows.Foundation;
using Windows.Foundation.Collections;
using Windows.UI.Xaml;
using Windows.UI.Xaml.Controls;
using Windows.UI.Xaml.Controls.Primitives;
using Windows.UI.Xaml.Data;
using Windows.UI.Xaml.Input;
using Windows.UI.Xaml.Media;
using Windows.UI.Xaml.Navigation;
using WolframAlpha.WrapperCore;

namespace Win8MetroSample
{
    /// <summary>
    /// An empty page that can be used on its own or navigated to within a Frame.
    /// </summary>
    public sealed partial class BlankPage : Page
    {
        public string AppID = "78XWYY-E7UK3HJHJ4";
        public BlankPage()
        {
            InitializeComponent();

            try
            {
                var query = new WolframAlphaQuery
                                {
                                    APIKey = AppID,
                                    Formats = new List<string>(),
                                    Query = "Moscow"
                                };

                var newengine = new WolframAlphaEngine(AppID);
                var result = newengine.GetWolframAlphaQueryResult(newengine.GetStringRequest(query));

                SuccessTextBlock.Text = result.Success.ToString();
                ErrorTextBlock.Text = result.Error.ToString();
                DataTypesTextBlock.Text = result.DataTypes;
                TimedOutTextBlock.Text = result.TimedOut;
                ParseTimingTextBlock.Text = result.Timing.ToString();
                SearchQueryTextBlock.Text = result.SearchQuery;
                QueryTextBlock.Text = result.Query;
            }
            catch (Exception ex)
            {
            }
        }

        /// <summary>
        /// Invoked when this page is about to be displayed in a Frame.
        /// </summary>
        /// <param name="e">Event data that describes how this page was reached.  The Parameter
        /// property is typically used to configure the page.</param>
        protected override void OnNavigatedTo(NavigationEventArgs e)
        {
        }
    }
}
