﻿using System.Collections.Generic;
using System.Linq;

namespace WolframAlpha.WrapperCore
{
    /// <summary>
    /// Wolfram Alpha Pod
    /// </summary>
    public partial class WolframAlphaPod
    {
        #region Fields
        /// <summary>
        /// 
        /// </summary>
        public List<WolframAlphaSubPod> SubPods         
        { 
            get; 
            set; 
        }
        /// <summary>
        /// 
        /// </summary>
        public string Title 
        { 
            get; 
            set; 
        }

        /// <summary>
        /// 
        /// </summary>
        public string Scanner 
        {
            get;
            set; 
        }

        /// <summary>
        /// 
        /// </summary>
        public int Position 
        {
            get;
            set; 
        }

        /// <summary>
        /// 
        /// </summary>
        public bool Error 
        {
            get;
            set; 
        }

        /// <summary>
        /// 
        /// </summary>
        public int NumberOfSubPods       
        {
            get; 
            set; 
        }
        #endregion

        #region Constructors

        #region WolframAlphaPod()
        /// <summary>
        /// Default Constructor
        /// </summary>
        public WolframAlphaPod()
        {
            SubPods = new List<WolframAlphaSubPod>();
        }
        #endregion

        #region  WolframAlphaPod(IEnumerable<WolframAlphaSubPod> wolframAlphaSubPods)
        /// <summary>
        /// Init SubPods Constructor with wolframAlphaSubPods
        /// </summary>
        /// <param name="wolframAlphaSubPods">Alpha Alpha Sub Pods</param>
        public WolframAlphaPod(IEnumerable<WolframAlphaSubPod> wolframAlphaSubPods)
        {          
            SubPods = new List<WolframAlphaSubPod>();
            if (wolframAlphaSubPods == null)
            {
                return;
            }
            foreach (var wolframAlphaSubPod in wolframAlphaSubPods.Where(wolframAlphaSubPod => wolframAlphaSubPod != null))
            {
                SubPods.Add(wolframAlphaSubPod);
            }
        } 
        #endregion
        #endregion
    }
}
