﻿#if NET
using System.Xml;
using Microsoft.VisualStudio.TestTools.UnitTesting;
#endif
#if NETFX_CORE
using Microsoft.VisualStudio.TestPlatform.UnitTestFramework;
using Windows.Data.Xml.Dom;
#endif
namespace WolframAlpha.WrapperCore.Tests
{

    /// <summary>
    ///This is a test class for WolframAlphaEngineTest and is intended
    ///to contain all WolframAlphaEngineTest Unit Tests
    ///</summary>
    [TestClass]
    public partial class WolframAlphaEngineTest
    {

        private const string AppKey = "Insert Application Key here";
        private const string SearchQueryString = "Microsoft";
        private static WolframAlphaQuery _query;
       
        public TestContext TestContext { get; set; }
   
        [ClassInitialize]
        public static void MyClassInitialize(TestContext testContext)
        {
            _query = new WolframAlphaQuery 
            {
                Query = SearchQueryString, APIKey = AppKey
            };
        }
        /// <summary>
        ///A test for WolframAlphaEngine Constructor
        ///</summary>
        [TestMethod]
        public void WolframAlphaEngineConstructorTest()
        {
            var target = new WolframAlphaEngine(AppKey);
            Assert.IsNotNull(target);
        }

        /// <summary>
        ///A test for GetStringRequest
        ///</summary>
        [TestMethod]
        public void GetStringRequestTest()
        {
            var target = new WolframAlphaEngine(AppKey)
                             {
                                 Query = _query
                             };

            string actual = target.GetStringRequest(_query);
            Assert.IsTrue(string.IsNullOrEmpty(actual));
        }

        /// <summary>
        ///A test for GetWolframAlphaQueryResult
        ///</summary>
        [TestMethod]
        public void GetWolframAlphaQueryResultTest()
        {
            #region Allocation
            var target = new WolframAlphaEngine(AppKey)
                             {
                                 Query = _query
                             };

            string response = string.Empty;
            #endregion

            #region Act
            WolframAlphaQueryResult actual = target.GetWolframAlphaQueryResult(response);
            #endregion

            #region Assertion
            Assert.IsNotNull(actual);
            #endregion
        }

        /// <summary>
        ///A test for LoadResponse
        ///</summary>
        [TestMethod]
        public void LoadResponseTest()
        {

            #region Allocation
            var target = new WolframAlphaEngine(AppKey)
                             {
                                 Query = _query
                             };
            var doc = new XmlDocument();
            #endregion

            #region Act
            WolframAlphaQueryResult actual = target.LoadResponse(doc);
            #endregion

            #region Assertion
            Assert.IsNotNull(actual);
            #endregion
        }
    }
}
